## gst-plugins-bad1.0 1.26.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.26.2-3) unstable; urgency=medium

  * d/patches: 0001-h266parser-Fix-overflow-when-parsing-subpic_level_in.patch
    - Fix CVE-2025-6663 (Closes: #1108973)
      Fix overflow when parsing subpic_level_info in H.266 parser

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 10 Jul 2025 10:07:14 +0200

gst-plugins-bad1.0 (1.26.2-2) unstable; urgency=medium

  * Revert "d/rules: gstcuda missing on arm" (Closes: #1107628)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 11 Jun 2025 13:21:39 +0200

gst-plugins-bad1.0 (1.26.2-1) unstable; urgency=medium

  * d/copyright: start converting to dep-5
  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:28:42 +0200
