## gst-plugins-bad1.0 1.26.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.26.3-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev
  * Fixes (LP: #2109413)

 -- Charles Turner <charles.turner@canonical.com>  Wed, 02 Jul 2025 16:14:25 +0100

gst-plugins-bad1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3
  * d/copyright: superfluous-file-pattern
  * d/copyright: correct SPDX format
  * d/copyright: missing-license-paragraph-in-dep5-copyright
  * d/patches: update failing tests

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 12:21:28 +0200

gst-plugins-bad1.0 (1.26.2-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Jun 2025 14:02:10 -0400

gst-plugins-bad1.0 (1.26.0-1ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:51:03 +0200
