## gst-plugins-bad1.0 1.26.5

=== debian/changelog ===
gst-plugins-bad1.0 (1.26.5-1ubuntu2) questing; urgency=medium

  * Fix failing zbar test
    See: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4592

 -- Charles <charles05@canonical.com>  Thu, 04 Sep 2025 20:18:54 +0100

gst-plugins-bad1.0 (1.26.5-1ubuntu1) questing; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev, glslc,
          liblrdf0-dev, libneon27-dev

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 21:00:25 +0200

gst-plugins-bad1.0 (1.26.5-1) experimental; urgency=medium

  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:07:45 +0200
