=== debian/control ===
--- 
+++ 
@@ -8,7 +8,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                flite-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gst-1.0-dev,
+               gir1.2-gstaudio-1.0-dev,
+               gir1.2-gstbase-1.0-dev,
+               gir1.2-gstgl-1.0-dev,
+               gir1.2-gstpbutils-1.0-dev,
+               gir1.2-gstsdp-1.0-dev,
+               gir1.2-gsttag-1.0-dev,
+               gir1.2-gstvideo-1.0-dev,
+               gir1.2-vulkan-1.0-dev,
                glslc,
+               gobject-introspection (>= 1.80),
                gstreamer1.0-plugins-base (>= 1.26.0),
                gstreamer1.0-plugins-good (>= 1.26.0) <!nocheck>,
                gstreamer1.0-tools,
@@ -33,7 +44,6 @@
                libfaad-dev (>= 2.7),
                libfluidsynth-dev (>= 1.0),
                libfreeaptx-dev (>= 0.1.1),
-               libgirepository1.0-dev (>= 0.9.12-4~),
                libglib2.0-dev (>= 2.68),
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
@@ -117,7 +127,6 @@
 Section: utils
 Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
          ${misc:Depends},
-         ${perl:Depends},
          ${shlibs:Depends}
 Conflicts: pitivi (<< 0.9999)
 Description: GStreamer helper programs from the "bad" set
@@ -186,10 +195,6 @@
 Recommends: opencv-data
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
-XB-GStreamer-URI-Sources: ${gstreamer:URISources}
-XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
-XB-GStreamer-Encoders: ${gstreamer:Encoders}
-XB-GStreamer-Decoders: ${gstreamer:Decoders}
 Description: GStreamer OpenCV plugins
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -259,5 +264,3 @@
 Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
 Description: GStreamer OpenCV libraries
  GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
