=== debian/tests/control ===
Tests: build-and-test
Depends: @builddeps@
Restrictions: allow-stderr
Architecture: !riscv64
