## gst-plugins-bad1.0 1.26.8

=== debian/changelog ===
gst-plugins-bad1.0 (1.26.8-1) unstable; urgency=medium

  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 10:45:58 +0100

gst-plugins-bad1.0 (1.26.7-2) unstable; urgency=medium

  * Team upload

  [ Marc Leeman ]
  * d/control: bump meson version to match meson.build

  [ Charles ]
  * Add several more autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Nov 2025 17:48:43 -0500
