=== debian/control ===
--- 
+++ 
@@ -109,7 +109,7 @@
                libzbar-dev (>= 0.9),
                libzvbi-dev,
                libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
-               meson,
+               meson (>= 1.4.0),
                nettle-dev (>= 3),
                opencv-data [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
                wayland-protocols (>= 1.4) [linux-any],
@@ -117,7 +117,7 @@
                xvfb
 Build-Conflicts: libopenaptx-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
 Homepage: https://gstreamer.freedesktop.org
